<?php
/****************************************************************
* This script is brought to you by Vasplus Programming Blog
* Website: www.vasplus.info
* Email: info@vasplus.info
******************************************************************/

//This is the file name from which we are going to get its extension and display it to the user on the screen
$my_file_name = 'profilePhoto.gif';

/* First Approach "explode/end" */
$first_extension = end(explode('.', $my_file_name));
echo "1 ".$first_extension;


/* Second Approach "strrchr" */
$second_extension = substr(strrchr($my_file_name, '.'), 1);
echo "<br><br>2 ".$second_extension;


/* Third Approach "strrpos" */
$third_extension = substr($my_file_name, strrpos($my_file_name, '.') + 1);
echo "<br><br>3 ".$third_extension;


/* Forth Approach "preg_replace" */
$forth_extension = preg_replace('/^.*\.([^.]+)$/D', '$1', $my_file_name);
echo "<br><br>4 ".$forth_extension;


/* Fifth Approach "split" */
$fifth_extension = split("[/\\.]", $my_file_name);
$fifth_extension_counter = count($fifth_extension)-1;
$fifth_extension_displayer = $fifth_extension[$fifth_extension_counter];
echo "<br><br>5 ".$fifth_extension_displayer;


/* Sixth Approach "pathinfo" */
$sixth_extension = pathinfo($my_file_name, PATHINFO_EXTENSION);
echo "<br><br>6 ".$sixth_extension;


/* Finally, get the File Name using "pathinfo" */
$get_the_filename = pathinfo($my_file_name, PATHINFO_FILENAME);
echo "<br><br><b>Filename:</b> ".$get_the_filename;

?>